> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fedapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all currencies



## OpenAPI

````yaml get /currencies
openapi: 3.0.0
info:
  title: Customer API
  version: v1
servers:
  - url: https://sandbox-api.fedapay.com/v1
  - url: https://api.fedapay.com/v1
security: []
paths:
  /currencies:
    get:
      summary: Get all currencies
      responses:
        '200':
          description: List of currencies
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                      description: Balance ID.
                    name:
                      type: string
                      description: Currency name.
                    modes:
                      type: array
                      items:
                        type: string
                      description: Available modes for the currency
                    prefix:
                      type: string
                      description: Currency prefix.
                    suffix:
                      type: string
                      description: Currency suffix.
                    account_id:
                      type: integer
                      description: Account ID associated with the balance
                    created_at:
                      type: string
                      format: date-time
                      description: Date and time of balance creation.
                    updated_at:
                      type: string
                      format: date-time
                      description: Date and time of last balance update.
                    default:
                      type: boolean
                      description: Is this currency the default one?
        '401':
          description: Unauthorized. Provide a valid secret key.
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          label: NodeJs
          source: >-
            const { FedaPay, Currency } = require('fedapay');

            /* Replace YOUR_SECRETE_API_KEY with your real API key */

            FedaPay.setApiKey("YOUR_SECRETE_API_KEY");

            /* Specify whether you want to run your query in test or live mode
            */

            FedaPay.setEnvironment('sandbox'); //or setEnvironment('live');

            /* Show currencies */

            const currency = await Currency.all( params = {}, headers = {} );
        - lang: PHP
          source: |-
            \FedaPay\Fedapay::setApiKey(MY_API_KEY);
            /**
            * @var \FedaPay\FedaPayObject
            */
            $response = \FedaPay\Currency::all();
            $currencies = $response->currencies;
            $meta = $response->meta;
        - lang: Ruby
          source: |-
            require 'fedapay';
            # configure FedaPay library
            FedaPay.api_key = '' # Your secret api key
            FedaPay.environment = '' # sandbox or live
            currencies = FedaPay::Currency.list;
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````